Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_env_t Struct Reference

`#include <vm_core.h>`

## Data Fields
VALUE * | env
int | env_size
int | local_size
VALUE | prev_envval
rb_block_t | block

## Detailed Description

Definition at line 681 of file vm_core.h.

## Field Documentation

rb_block_t rb_env_t::block

Definition at line 686 of file vm_core.h.

Referenced by check_env(), collect_local_variables_in_env(), env_alloc(), env_mark(), eval_string_with_cref(), vm_make_env_each(), and vm_set_main_stack().

VALUE* rb_env_t::env

Definition at line 682 of file vm_core.h.

Referenced by env_alloc(), env_free(), env_mark(), env_memsize(), rb_vmdebug_env_dump_raw(), vm_make_env_each(), and vm_rewrite_ep_in_errinfo().

int rb_env_t::env_size

Definition at line 683 of file vm_core.h.

Referenced by env_mark(), env_memsize(), rb_vmdebug_env_dump_raw(), and vm_make_env_each().

int rb_env_t::local_size

Definition at line 684 of file vm_core.h.

Referenced by rb_vmdebug_env_dump_raw(), vm_make_env_each(), and vm_rewrite_ep_in_errinfo().

VALUE rb_env_t::prev_envval

Definition at line 685 of file vm_core.h.

Referenced by check_env(), collect_local_variables_in_env(), env_alloc(), env_mark(), rb_vmdebug_env_dump_raw(), and vm_make_env_each().

The documentation for this struct was generated from the following file:

- vm_core.h